GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Public Member Functions | Friends
grpc::Server Class Reference

`#include <server.h>`

## Data Structures
class | ShutdownRequest
class | SyncRequest

## Public Member Functions
| ~Server ()
void | Shutdown ()
void | Wait ()
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()

## Friends
class | AsyncGenericService
class | AsynchronousService
class | ServerBuilder

## Constructor & Destructor Documentation

grpc::Server::~Server | ( |  | ) |

## Member Function Documentation

void grpc::Server::Shutdown | ( |  | ) |

void grpc::Server::Wait | ( |  | ) |

## Friends And Related Function Documentation

friend class AsyncGenericService
| friend

friend class AsynchronousService
| friend

friend class ServerBuilder
| friend

The documentation for this class was generated from the following files:

- include/grpc++/server.h
- src/cpp/server/server.cc